import { connect } from 'umi';
import ProcessInfoComponent from '../../../components/CommonElementEvent/ProcessInfo';

function ProcessInfo({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }
  const processProps = {
    app,
    content,
    dispatch,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };

  return (
    <ProcessInfoComponent {...processProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProcessInfo);
